---

# See README.md for this pipeline for full usage instructions

# Call this entrypoint from a downstream repo's ".gitlab-ci.yml" if you want to include all stages for the entire ansible pipeline.
# You may also include the sub-pipelines below individually and selectively if you only require a subset of the jobs/stages this main pipeline provides.
# Note: Individual jobs in these pipelines are also conditionally called by the value of the DEPLOYMENT_TYPE and DEPLOYMENT variables.
#       See the documentation for "Deployment Types" in this pipeline's README.MD for details about available deployment types/operations.
include:
  # Provides templates for the other included sub-pipelines, runs sanity checks, and performs linting on ansible-playbooks in the downstream repo.
  - remote: https://gitlab.com/dreamer-labs/tsc/pipelines/-/raw/master/ansible/3.1.0/gitlab-ci-configure-base.yml
  # Configures the main application by calling an ansible playbook located in the downstream repo including this pipeline line.
  - remote: https://gitlab.com/dreamer-labs/tsc/pipelines/-/raw/master/ansible/3.1.0/gitlab-ci-configure-system.yml
  # Configures certain lower-risk/minor settings like monitoring, alerting, application users, et cetera that support the main application.
  - remote: https://gitlab.com/dreamer-labs/tsc/pipelines/-/raw/master/ansible/3.1.0/gitlab-ci-configure-settings.yml

stages:
  - sanity
  - lint
  - configure_system
  - configure_system_reports
  - configure_settings

variables:
  DEPLOYMENT_DIR: ansible
